com.rscja.team.qcom.deviceapi

## Class Module_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.Module_qcom

- All Implemented Interfaces:
    IModule

      public class Module_qcom
      extends java.lang.Object
      implements IModule

  Author:
    Administrator

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `closeSerail()` 关闭串口
    `boolean` | `free()` 释放模块,模块断电同时关闭串口 Release module
    `static Module_qcom` | `getInstance()` 获取操作实例 Acquire operation Instance
    `boolean` | `init(int module)` 初始化模块,模块上电同时打开串口 Initialize module
    `boolean` | `init(int module, int baudrate)` 初始化模块,模块上电同时打开串口
    `boolean` | `init(int module, int baudrate, int databits, int stopbits, int check)` 初始化模块 ,模块上电同时打开串口 Initialize the module
    `void` | `ioctl_gpio(int gpio, boolean isHigh)`
    `boolean` | `openSerail(java.lang.String path, int baudrate, int databits, int stopbits, int check)` 打开串口
    `boolean` | `powerOff(android.content.Context context, int module)` 模块下电，仅下电不关串口 module power off, power off only
    `boolean` | `powerOff(int module)` 模块下电，仅下电不关串口 module power off, power off only
    `boolean` | `powerOn(android.content.Context context, int module)` 模块上电，仅上电不开串口,通过系统app上电,不经过DeviceAPI, 配合`powerOff(Context context,int module)` 使用 Module power on, power on only
    `boolean` | `powerOn(int module)` 模块上电，仅上电不开串口,通过DeviceAPI代码上电,配合`powerOff(int module)` 使用 Module power on, power on only
    `byte[]` | `receive()` 接收数据,读取串口数据会等待1秒钟 Receive data
    `byte[]` | `receiveEx()` 接收数据,读取串口数据无等待时间 Receive data
    `boolean` | `send(byte[] data)` 发送数据 Send data
    `int` | `sendAndReceive(byte[] sendData, byte[] outData)` 收发数据

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static Module_qcom getInstance()

      获取操作实例
      Acquire operation Instance
      Returns:

    - #### powerOn

          public boolean powerOn(int module)

      模块上电，仅上电不开串口,通过DeviceAPI代码上电,配合`powerOff(int module)` 使用
      Module power on, power on only
      Specified by:
        `powerOn` in interface `IModule`
      Parameters:
        `module` - 模块编号 1、1D（9600） 2、RFID（115200） 3、UHF（115200） 4、Finger（57600）
        module module serial number 1, 1D(9600) 2, RFID(115200) 3, UHF(115200) 4, Finger(57600)
      Returns:
        成功true，失败false

    - #### powerOn

          public boolean powerOn(android.content.Context context,
                                 int module)

      模块上电，仅上电不开串口,通过系统app上电,不经过DeviceAPI, 配合`powerOff(Context context,int module)` 使用
      Module power on, power on only
      Specified by:
        `powerOn` in interface `IModule`
      Parameters:
        `context` -
        `module` - 模块编号 3、UHF
        module module serial number 3, UHF
      Returns:

    - #### ioctl_gpio

          public void ioctl_gpio(int gpio,
                                 boolean isHigh)

      Specified by:
        `ioctl_gpio` in interface `IModule`

    - #### powerOff

          public boolean powerOff(int module)

      模块下电，仅下电不关串口
      module power off, power off only
      Specified by:
        `powerOff` in interface `IModule`
      Parameters:
        `module` - 模块编号 1、1D（9600） 2、RFID（115200） 3、UHF（115200） 4、Finger（57600）
        `module` - module serial number 1, 1D(9600) 2, RFID(115200) 3, UHF(115200) 4, Finger(57600)
      Returns:
        成功true，失败false

    - #### powerOff

          public boolean powerOff(android.content.Context context,
                                  int module)

      模块下电，仅下电不关串口
      module power off, power off only
      Specified by:
        `powerOff` in interface `IModule`
      Parameters:
        `module` - 模块编号 3、UHF（115200）
        `module` - module serial number 3, UHF(115200)
      Returns:
        成功true，失败false

    - #### init

          public boolean init(int module)

      初始化模块,模块上电同时打开串口
      Initialize module
      Specified by:
        `init` in interface `IModule`
      Parameters:
        `module` - 模块编号 模块编号 1、1D（9600） 2、RFID（115200） 3、UHF（115200） 4、Finger（57600）,10、A8外接串口
        `module` - module serial number 1, 1D(9600) 2, RFID(115200) 3, UHF(115200) 4, Finger(57600),10、A8外接串口(115200)
      Returns:
        成功true，失败false

    - #### init

          public boolean init(int module,
                              int baudrate)

      初始化模块,模块上电同时打开串口
      Specified by:
        `init` in interface `IModule`
      Parameters:
        `module` - 模块编号 模块编号 1、1D（9600） 2、RFID（115200） 3、UHF（115200） 4、Finger（57600）,10、A8扩展串口
        `baudrate` - 自定义波特率
      Returns:
        成功true，失败false

    - #### init

          public boolean init(int module,
                              int baudrate,
                              int databits,
                              int stopbits,
                              int check)

      初始化模块 ,模块上电同时打开串口
      Initialize the module
      Specified by:
        `init` in interface `IModule`
      Parameters:
        `module` - 模块编号 模块编号 1、1D（9600） 2、RFID（115200） 3、UHF（115200） 4、Finger（57600） 10、A8扩展串口
        `baudrate` - 自定义波特率
        `check` - 是否校验
        `databits` - 数据位 取值为 7 或者8
        `stopbits` - 停止位 取值为 1 或者2
        `check` - 效验类型 取值为 0无, 1奇, 2偶
      Returns:
        成功true，失败false
        If sucess, return true, if failure, return false.

    - #### free

          public boolean free()

      释放模块,模块断电同时关闭串口
      Release module
      Specified by:
        `free` in interface `IModule`
      Returns:
        成功true，失败false

    - #### send

          public boolean send(byte[] data)

      发送数据
      Send data
      Specified by:
        `send` in interface `IModule`
      Parameters:
        `data` - 数据
        data
      Returns:
        true成功，false失败

    - #### receive

          public byte[] receive()

      接收数据,读取串口数据会等待1秒钟
      Receive data
      Specified by:
        `receive` in interface `IModule`
      Returns:
        数据
        data

    - #### receiveEx

          public byte[] receiveEx()

      接收数据,读取串口数据无等待时间
      Receive data
      Specified by:
        `receiveEx` in interface `IModule`
      Returns:
        数据
        data

    - #### sendAndReceive

          public int sendAndReceive(byte[] sendData,
                                    byte[] outData)

      收发数据
      Specified by:
        `sendAndReceive` in interface `IModule`
      Parameters:
        `sendData` - 发送的数据
        `outData` - 接收的数据
      Returns:
        返回接收到的数据长度 (返回-1表示发送失败)

    - #### openSerail

          public boolean openSerail(java.lang.String path,
                                    int baudrate,
                                    int databits,
                                    int stopbits,
                                    int check)

      打开串口
      Specified by:
        `openSerail` in interface `IModule`
      Parameters:
        `baudrate` - 波特率
        `databits` - 数据位 取值为 7 或者8
        `stopbits` - 停止位 取值为 1 或者2
        `check` - 效验类型 取值为 0无, 1奇, 2偶
      Returns:

    - #### closeSerail

          public boolean closeSerail()

      关闭串口
      Specified by:
        `closeSerail` in interface `IModule`
      Returns: